Loading...
Searching...
No Matches
BALL::Templates Class Reference
Molecular Modeling » Molecular Mechanics » Force Field Parameters

`#include <BALL/MOLMEC/PARAMETER/templates.h>`

Inheritance diagram for BALL::Templates:

## Public Member Functions

Constructors and Destructors
| Templates ()
| Templates (const Templates &templates, bool deep=true)
virtual | ~Templates ()
virtual void | clear ()
virtual bool | extractSection (Parameters &parameters, const String &section_name)
float | getCharge (const String &name) const
String | getTypeName (const String &name) const
bool | has (const String &name) const
void | assign (System &system, bool overwrite_existing_typenames=true, bool overwrite_non_zero_charges=true) const
void | assignCharges (System &system, bool overwrite_non_zero_charges=true) const
void | assignTypeNames (System &system, bool overwrite_existing_typenames=true) const
Public Member Functions inherited from BALL::ParameterSection
| ParameterSection ()
| ParameterSection (const ParameterSection &parameter_section)
virtual | ~ParameterSection ()
bool | extractSection (Parameters &parameters, const String &section_name)
const String & | getSectionName () const
const String & | getValue (const String &key, const String &variable) const
bool | has (const String &key, const String &variable) const
bool | has (const String &key) const
bool | hasVariable (const String &variable) const
Position | getColumnIndex (const String &variable) const
Size | getNumberOfVariables () const
Size | getNumberOfKeys () const
const String & | getValue (Position key_index, Position variable_index) const
const String & | getKey (Position key_index) const
const ParameterSection & | operator= (const ParameterSection &section)
virtual bool | isValid () const
bool | operator== (const ParameterSection &parameter_section) const

## Assignment

StringHashMap< float > | charges_
StringHashMap< String > | type_names_
HashSet< const Atom * > | unassigned_atoms_
Size | max_number_unassigned_atoms_
Templates & | operator= (const Templates &templates)
void | setMaximumUnassignedAtoms (Size nr)
Size | getMaximumUnassignedAtoms () const
Size | getNumberOfUnassignedAtoms () const
| Get the number of atoms, for which the assignment failed.
HashSet< const Atom * > & | getUnassignedAtoms ()
| Get the atoms, for which the assignment failed.

## Additional Inherited Members

Public Types inherited from BALL::ParameterSection
enum | { MAX_FIELDS = 20 }
Options | options
Static Public Attributes inherited from BALL::ParameterSection
static const String | UNDEFINED
String | section_name_
String | format_line_
StringHashMap< Index > | section_entries_
StringHashMap< Index > | variable_names_
std::vector< String > | entries_
std::vector< String > | keys_
Size | number_of_variables_
std::vector< float > | version_
bool | valid_

## Detailed Description

Force Field Residue Template Class.

Definition at line 31 of file templates.h.

## Constructor & Destructor Documentation

## Templates() [1/2]

BALL::Templates::Templates | ( |  | ) |

Default constructor.

## Templates() [2/2]

BALL::Templates::Templates | ( | const Templates & | templates,
|  | bool | deep = true )

Copy constructor.

## ~Templates()

virtual BALL::Templates::~Templates | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## assign()

void BALL::Templates::assign | ( | System & | system,
|  | bool | overwrite_existing_typenames = true,
|  | bool | overwrite_non_zero_charges = true ) const

Assign charges and type names

## assignCharges()

void BALL::Templates::assignCharges | ( | System & | system,
|  | bool | overwrite_non_zero_charges = true ) const

Assign charges and type names

## assignTypeNames()

void BALL::Templates::assignTypeNames | ( | System & | system,
|  | bool | overwrite_existing_typenames = true ) const

Assign type names

## clear()

virtual void BALL::Templates::clear | ( |  | ) |

virtual

Clear method.

Reimplemented from BALL::ParameterSection.

## extractSection()

virtual bool BALL::Templates::extractSection | ( | Parameters & | parameters,
|  | const String & | section_name )

virtual

Parameter extraction Reads a parameter section from an INI file. This method reads the section given in section_name from ini_file, interprets (if given) a format line, reads the data from this section according to the format, and builds some datastructures for fast and easy acces this data. The section is typically entitled ChargesAndTypeNames.

## getCharge()

float BALL::Templates::getCharge | ( | const String & | name | ) | const

Returns the numeric type for a given string.

## getMaximumUnassignedAtoms()

Size BALL::Templates::getMaximumUnassignedAtoms | ( |  | ) | const

Get the number of atoms, for which the assignment can fail, until the assign() methods aborts and return false.

## getNumberOfUnassignedAtoms()

Size BALL::Templates::getNumberOfUnassignedAtoms | ( |  | ) | const

Get the number of atoms, for which the assignment failed.

## getTypeName()

String BALL::Templates::getTypeName | ( | const String & | name | ) | const

Returns the name for a given index

## getUnassignedAtoms()

HashSet< const Atom * > & BALL::Templates::getUnassignedAtoms | ( |  | ) |

Get the atoms, for which the assignment failed.

## has()

bool BALL::Templates::has | ( | const String & | name | ) | const

Queries whether a given template atom is defined

## operator=()

Templates & BALL::Templates::operator= | ( | const Templates & | templates | ) |

Assignment operator. Copy the contents of templates into this residue template object.

Parameters

  templates | the residue template object to be copied

## setMaximumUnassignedAtoms()

void BALL::Templates::setMaximumUnassignedAtoms | ( | Size | nr | ) |

Set the number of atoms, for which the assignment can fail, until the assign() methods aborts and return false. By default, there is no limit set.

## Member Data Documentation

## charges_

StringHashMap<float> BALL::Templates::charges_

protected

Definition at line 128 of file templates.h.

## max_number_unassigned_atoms_

Size BALL::Templates::max_number_unassigned_atoms_

protected

Definition at line 138 of file templates.h.

## type_names_

StringHashMap<String> BALL::Templates::type_names_

protected

Definition at line 132 of file templates.h.

## unassigned_atoms_

HashSet<const Atom*> BALL::Templates::unassigned_atoms_

protected

Definition at line 135 of file templates.h.